curl --request PATCH \
--url https://api.hubapi.com/crm/v3/objects/0-3/{dealId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
}
}
'import requests
url = "https://api.hubapi.com/crm/v3/objects/0-3/{dealId}"
payload = { "properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {
property_checkbox: 'false',
property_date: '1572480000000',
property_dropdown: 'choice_b',
property_multiple_checkboxes: 'chocolate;strawberry',
property_number: '17',
property_radio: 'option_1',
property_string: 'value'
}
})
};
fetch('https://api.hubapi.com/crm/v3/objects/0-3/{dealId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update
「」によって特定されるオブジェクトの部分更新を実行するか、必要に応じて「idProperty」クエリーパラメーターによって指定される固有のプロパティー値の部分更新を実行します。「」はデフォルトで内部オブジェクトIDを参照し、「idProperty」クエリーパラメーターはオブジェクトについて値が固有のプロパティーを参照します。指定されたプロパティー値は上書きされます。読み取り専用のプロパティーや存在しないプロパティーはエラーになります。プロパティー値は、空の文字列を渡すことでクリアできます。
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
.+クエリパラメータ
このオブジェクトタイプについて値が固有のプロパティーの名前
ボディ
CRMオブジェクトを作成または更新するために必要な入力を表し、プロパティー名とその対応する値があるオブジェクトが含まれます。
オブジェクトのプロパティーを表す、キーと値のペア。
Show child attributes
Show child attributes
レスポンス
successful operation
シンプルな公開オブジェクト。
オブジェクトがアーカイブされているかどうか。
オブジェクトが作成された時点のタイムスタンプ(ISO 8601形式)。
オブジェクトの固有ID。
オブジェクトのプロパティーを表す、キーと値のペア。
Show child attributes
Show child attributes
オブジェクトが最後に更新された時点のタイムスタンプ(ISO 8601形式)。
オブジェクトがアーカイブされた時点のタイムスタンプ(ISO 8601形式)。
オブジェクトの作成リクエストまたは更新リクエストをトレースするために使用されるID。
オブジェクトのプロパティーとその履歴を表すキーと値のペア。
Show child attributes
Show child attributes
オブジェクトに関連付けられたURL。
Show child attributes
Show child attributes